TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

IsIntegral ( elt-fld^pad x ) -> elt-alg^boo

### Description

<shortdoc> True iff element a is in the ring of integers of its parent. </shortdoc>

### Examples

x_fp := pAdicField(7,20);; IsIntegral(x_fp.1);
x_fp := pAdicField(7,20);; x_u := UniformizingElement(x_fp); IsIntegral(1/x_u);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack